## org.apache.poi.hssf.record.chart
Class FrameRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.FrameRecord

    public final class FrameRecord

extends StandardRecord

The frame record indicates whether there is a border around the displayed text of a chart.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `BORDER_TYPE_REGULAR`
`static short` `BORDER_TYPE_SHADOW`
`static short` `sid`

Constructor Summary
`FrameRecord()`
`FrameRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`short` `getBorderType()` Get the border type field for the Frame record.
`protected int` `getDataSize()`
`short` `getOptions()` Get the options field for the Frame record.
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isAutoPosition()` excel calculates the position automatically
`boolean` `isAutoSize()` excel calculates the size automatically if true
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setAutoPosition(boolean value)` Sets the auto position field value.
`void` `setAutoSize(boolean value)` Sets the auto size field value.
`void` `setBorderType(short field_1_borderType)` Set the border type field for the Frame record.
`void` `setOptions(short field_2_options)` Set the options field for the Frame record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### BORDER_TYPE_REGULAR

    public static final short BORDER_TYPE_REGULAR

See Also:
  Constant Field Values

### BORDER_TYPE_SHADOW

    public static final short BORDER_TYPE_SHADOW

See Also:
  Constant Field Values

Constructor Detail

### FrameRecord

    public FrameRecord()

### FrameRecord

    public FrameRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getBorderType

    public short getBorderType()

  Get the border type field for the Frame record.

  Returns:
    One of BORDER_TYPE_REGULAR BORDER_TYPE_SHADOW

### setBorderType

    public void setBorderType(short field_1_borderType)

  Set the border type field for the Frame record.

  Parameters:
    `field_1_borderType` - One of BORDER_TYPE_REGULAR BORDER_TYPE_SHADOW

### getOptions

    public short getOptions()

  Get the options field for the Frame record.

### setOptions

    public void setOptions(short field_2_options)

  Set the options field for the Frame record.

### setAutoSize

    public void setAutoSize(boolean value)

  Sets the auto size field value. excel calculates the size automatically if true

### isAutoSize

    public boolean isAutoSize()

  excel calculates the size automatically if true

  Returns:
    the auto size field value.

### setAutoPosition

    public void setAutoPosition(boolean value)

  Sets the auto position field value. excel calculates the position automatically

### isAutoPosition

    public boolean isAutoPosition()

  excel calculates the position automatically

  Returns:
    the auto position field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.